GET community/get-community-personid-email?community_short_name={community_short_name}
Get the person identifier and his email from the community members
Request Information
Headers
HTTP_AUTHORIZATION: Required. OAuth 1.0 parameters with the OAuth signature of the url you are going to request. The consumer keys and access token can be obtained from the community administration.
Sample:
HTTP_AUTHORIZATION:
OAuth oauth_token="CObXqjfOisVh9%2F2GjC7NNd8BCzY%3D",
oauth_consumer_key="clGACsiGaMp%2FD%2BUwkSvRBxA1k50%3D",
oauth_nonce="VqKza6d5x1HpPQWFe08spbdOnkTQpfaLfD9Oeuyg",
oauth_signature_method="HMAC-SHA1",
oauth_timestamp="1462882011",
oauth_signature="RH5aKKKJaEvK5cIsZZzXtFh7cCk%3D"
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| community_short_name |
Short name of the community |
string |
Required |
Request Formats
application/x-www-form-urlencoded
Sample:
community_short_name=developers
Response Information
Resource Description
| Description | Type |
|---|---|
|
dictionary with the person identifier and his email |
Dictionary`2 |
Response Formats
application/json, text/json
Sample:
{
"946f2e1a-7be5-4aaa-af85-7aaa2667004a": "sample string 2",
"c2315c3a-4d29-4b66-8740-b9d61f986ee2": "sample string 4"
}
Response HTTP status code
On success, the response contains 200 code.
On fail, throws a WebException with code:
- 401 Unauthorized if the OAuth signature is invalid
- 400 Bad Request if the params are invalid
- 500 Internal server error if something goes wrong...
